import React, { useEffect, useMemo, useState } from 'react'
import Taro, { useRouter } from '@tarojs/taro'
import './index.scss'
import { View, Text, Input, Image } from '@tarojs/components'
import ContainerLayout from '../../../compents/container/index'
import radio from '../../../assets/radio.png'
import Layout from '../../../layout/index'
import request from '../../../util/request'
import groupby from 'lodash.groupby';

const house = (props) => {

  const router = useRouter()
  const { houseId } = router.params

  const [list, setList] = useState({})



  useEffect(() => {
    getList()
  }, [])

  const getList = () => {
    request({ url: '/taHousePerson',params:{houseId:houseId,pageSize:9999} }).then((res) => {
      const { records, ...page } = res.data.data
      console.log(groupby(records, item => item.orderId))
      setList(groupby(records, item => item.orderId))
      //   {
      //   const [date,_] = item.createDate.split('T')
      //   return date
      // }))
    })
  }

const getDate =(value)=>{ 
  const [date,time] = value.split('T')
  console.log(time,'time')
return `${date} ${time.split(':')[0]}:${time.split(':')[1]}`
}
  return <View className='household'>

    <Layout>
      {/* <View className='household-text'>vjoaphepionvodashvoia</View> */}

      {
        Object.keys(list).map((item) => {
          return <View className='household-view'>
            {/* {index + 1} */}
            <Text className='household-view-title'>订单编号：{item}</Text>
            <ContainerLayout className='household-view-card'>
              {list[item].map((x) => {
                return <view>{x.name}: {x.phone}</view>  
              })}
              {`入住时间：${getDate(list[item][0].createDate)}`}
              {list[item].length == 0 && '暂无入住人信息'}

            </ContainerLayout>

          </View>
        })

      }
      {
        Object.keys(list).length === 0 && <view style={{textAlign:'center',paddingTop:30}}>
           暂无入住信息
        </view>
      }

      {/* {list.map((x, index) => {
      return <View className='household-view'>

        <Text className='household-view-title'>入住日期：{index + 1}</Text>
        <ContainerLayout className='household-view-card'>
         
         暂无入住人信息    
        </ContainerLayout>

      </View>

    })} */}
    </Layout>


  </View>
}

export default house